<h1>Forms Demo</h1>

<h2>Template-Oriented Form</h2>
<div class="frame">
    <template-oriented-form [user]="user" (save)="onSubmit($event)"
                            (cancel)="onCancel()"></template-oriented-form>
</div>

<h2>Component-Oriented Form</h2>
<div class="frame">
    <component-oriented-form [user]="user" (save)="onSubmit($event)"
                             (cancel)="onCancel()"></component-oriented-form>
</div>

<h2>Result</h2>
<pre>{{user | json}}</pre>
